<h1 mat-dialog-title>{{dictionary.edit}} - {{aircraftTitle.aircraft}}: {{maxTitleLength(name, 30)}}</h1>
<div mat-dialog-content>

    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="name" name="{{aircraftKeys.name}}" type="text" value="{{name}}"
               placeholder="{{aircraftTitle.name}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="distance" name="{{aircraftKeys.distance}}" type="number" min="0" step="1"
               value="{{distance}}" placeholder="{{aircraftTitle.distance}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="seatCount" name="{{aircraftKeys.seatCount}}" type="number" min="0" step="1"
               value="{{seatCount}}" placeholder="{{aircraftTitle.seatCount}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="maxSeatCount" name="{{aircraftKeys.maxSeatCount}}" type="number" min="0" step="1"
               value="{{maxSeatCount}}" placeholder="{{aircraftTitle.maxSeatCount}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="length" name="{{aircraftKeys.length}}" type="number" min="0" step="0.01"
               value="{{length}}" placeholder="{{aircraftTitle.length}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="height" name="{{aircraftKeys.height}}" type="number" min="0" step="0.01"
               value="{{height}}" placeholder="{{aircraftTitle.height}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="wingSpan" name="{{aircraftKeys.wingSpan}}" type="number" min="0" step="0.01"
               value="{{wingSpan}}" placeholder="{{aircraftTitle.wingSpan}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="consumption" name="{{aircraftKeys.consumption}}" type="number" min="0" step="0.01"
               value="{{consumption}}" placeholder="{{aircraftTitle.consumption}}">
    </mat-form-field>
    <mat-form-field *ngIf="type == aircraftKeys.civil" class="form-full-width">
        <select [(ngModel)]="gateLicense" matNativeControl name="{{aircraftKeys.gateLicense}}" placeholder="{{aircraftTitle.gateLicense}}"
                (select)="gateLicense">
            <option value="true">{{dictionary.yes}}</option>
            <option value="false">{{dictionary.no}}</option>
        </select>
    </mat-form-field>
    <mat-form-field *ngIf="type == aircraftKeys.military" class="form-full-width">
        <select [(ngModel)]="flare" matNativeControl name="{{aircraftKeys.flare}}"  placeholder="{{aircraftTitle.flare}}"
                (select)="flare">
            <option value="true">{{dictionary.yes}}</option>
            <option value="false">{{dictionary.no}}</option>
        </select>
    </mat-form-field>
    <mat-form-field *ngIf="type == aircraftKeys.military" class="form-full-width">
        <select [(ngModel)]="airRefueling" matNativeControl name="{{aircraftKeys.airRefueling}}" placeholder="{{aircraftTitle.airRefueling}}"
                (select)="airRefueling">
            <option value="true">{{dictionary.yes}}</option>
            <option value="false">{{dictionary.no}}</option>
        </select>
    </mat-form-field>
</div>


<div mat-dialog-actions>
    <button mat-raised-button color="primary" matDialogClose="" [disabled]="!submitButton"
            (click)="save()">{{dictionary.saveChange}}</button>
    <button mat-raised-button matDialogClose="">{{dictionary.cancel}}</button>
</div>



